

OBJECT "Heather1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT player.PIVOTOBJECT HEATHER1
		PIVOTOBJECT player

		IF MISTSTATE < 6
		BEGIN
			IF HEATHERSTATE = 1
			BEGIN
				say II11HEA02
			END
			IF HEATHERSTATE = 0
			BEGIN
				say anim scaredsay II11HEA00
				player.say II11LOC20
				say anim scaredsay II11HEA01
				SET HEATHER2STATE = 1
		
				:Start1

					Choice Really II11LOC21
					Choice Issues II11LOC22
					Choice Spit II11LOC23
					wait response
	
				:Really
 
					player.say II11LOC21
					say anim scaredsay II11HEA02
					player.pivot 92
					player.say II11LOC24
					player.PIVOTOBJECT Heather1
					player.say II11LOC25
					nowait play II11HEA03
					try "combat to faint"
					try fainted
					player.pivot 92
					player.say II11LOC26
					jump INISH

				:Issues

					player.say II11LOC22
					say anim scaredsay II11HEA02
					player.pivot 92
					player.say II11LOC24
					player.PIVOTOBJECT Heather1
					player.say II11LOC25
					nowait play II11HEA03
					try "combat to faint"
					try fainted
					player.pivot 92
					player.say II11LOC26
					jump INISH

				:Spit
		
					player.say II11LOC23
					say anim scaredsay II11HEA02
					player.pivot 92
					player.say II11LOC24
					player.PIVOTOBJECT Heather1
					player.say II11LOC25
					nowait play II11HEA03
					try "combat to faint"
					try fainted
					player.pivot 92
					player.say II11LOC26

				:INISH

					SET HEATHERSTATE = 1
					FADESCREENOUT
					WAIT SCREENFADE
					FADESCREENIN
					PLAYER.POS 2974 25636 64 0
					SET HEATHER2STATE = 0
			END
		END
		
		IF MISTSTATE > 5
		BEGIN
			IF HEATHERSTATE = 2
			BEGIN
				say V8HEA04
			END
			IF HEATHERSTATE < 2
			BEGIN
 				say V8HEA00
				player.say V8LOC23
				say V8HEA01
				player.say V8LOC24
				say V8HEA02
				player.say V8LOC25
				say V8HEA03
				say V8HEA04
				SET HEATHERSTATE = 2
			END
		END

		CONTROL ON
		SETCDVOLUME FULL
	END
	ALWAYS
	BEGIN
		WAIT 24

		IF HEATHER2STATE = 0
		BEGIN
			GOTORELATIVEPOSITION HEATHERWAY1 0 0
			WAIT 12
			PIVOT 0
			WAIT 24
			WAIT 24
			WAIT 24
			PIVOTOBJECT HEATHERWAY2
			WAIT 12
			GOTORELATIVEPOSITION HEATHERWAY2 0 0
			WAIT 24
			PIVOTOBJECT HEATHERWAY1
			WAIT 12
		END
	END
END


OBJECT "Gus2"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1

		IF MISTSTATE < 4
		BEGIN
			IF player.GETITEMAMOUNT "DIAMOND RING" < 1
			BEGIN
				NOWAIT CONTROL OFF
				player.STOP
				player.COMBAT OFF
				player.GOTO 7808 8920
				NOWAIT player.PIVOTOBJECT Gus2
				SAY ANIM sitsay II3GUS30
				player.SAY II3LOC22
			END
			IF player.GETITEMAMOUNT "DIAMOND RING" > 0
			BEGIN
				NOWAIT CONTROL OFF
				player.STOP
				player.COMBAT OFF
				player.GOTO 7808 8920
				NOWAIT player.PIVOTOBJECT Gus2
				SAY ANIM sitsay II13GUS00
				player.SAY II13LOC00
				player.DELINV "DIAMOND RING"
				SAY ANIM sitsay II13GUS01
			
				:Yomama

					CHOICE Really II13LOC01
					CHOICE Hurting II13LOC02
					WAIT response
	
				:Really
		
					player.SAY II13LOC01
					JUMP Best
		
				:Hurting

					player.SAY II13LOC02
		
				:Best
					
					SAY ANIM sitsay II13GUS02
					SAY ANIM sitsay II13GUS03
					player.SAY II13LOC03
					SAY ANIM sitsay II13GUS04
					NOWAIT TRY Walk
					MOVE 20 0 0
					STATE Walkf
					GOTO 7767 8959
					GOTO 7657 8959
					WAIT 48
					PIVOT 60
					SAY II13GUS05 
					PIVOT 190
					SAY II13GUS06
					WAIT 48 
					SAY II13GUS07
					NOWAIT player.SAY II13LOC04
					PIVOT 60
					player.SAY II13LOC05
					SAY II13GUS08
					player.SAY II13LOC06
					SAY II13GUS09	
					NOWAIT player.SAY II13LOC07
					GOTO 7767 8959
					SAY II13GUS11
					NOWAIT player.GOTORELATIVEDISTANCE Portout -25 18
					FADESCREENOUT
					WAIT SCREENFADE
					FADESCREENIN
					player.POS 531 28273 18 0
			END
		END
		IF MISTSTATE > 3
		BEGIN
		IF MISTSTATE < 6
		BEGIN
			CONTROL OFF
			player.STOP
			player.COMBAT OFF
			IF GUSSTATE = 4
			BEGIN
				say anim sitsay II16GUS04
			END
			IF GUSSTATE < 4
			BEGIN
				say anim sitsay II16GUS00
				player.say II16LOC00
				say anim sitsay II16GUS01
				say anim sitsay II16GUS02
				player.say II16LOC01
				say anim sitsay II16GUS03
				SET GUSSTATE = 4
			END
		END
		END
		IF MISTSTATE = 6
		BEGIN
			CONTROL OFF 
			player.STOP	
			player.COMBAT OFF
			IF GUSSTATE = 5
			BEGIN
				say anim sitsay V9GUS04
			END
			IF GUSSTATE < 5
			BEGIN
 				say anim sitsay V9GUS00
				player.say V9LOC00
				say anim sitsay V9GUS01
				player.say V9LOC01
				say anim sitsay V9GUS02
				say anim sitsay V9GUS03
				player.say V9LOC02
				say anim sitsay V9GUS04
				player.say V9LOC03
				say anim sitsay V9GUS05
				player.say V9LOC04
				say anim sitsay V9GUS06		
				SET GUSSTATE = 5
				END
			END
		
		IF MISTSTATE = 7
		BEGIN
			CONTROL OFF
			player.STOP	
			player.COMBAT OFF
			IF GUSSTATE = 6
			BEGIN
				say anim sitsay VIII1GUS05
			END
			IF GUSSTATE < 6
			BEGIN
 				say anim sitsay VIII1GUS00
				say anim sitsay VIII1GUS01
				say anim sitsay VIII1GUS02
				player.say VIII1LOC00
				say anim sitsay VIII1GUS03
				say anim sitsay VIII1GUS04
				player.say VIII1LOC01
				say anim sitsay VIII1GUS05
				player.say VIII1LOC02
				say anim sitsay VIII1GUS06
				SET GUSSTATE = 6
				END
		END
		CONTROL ON
		SETCDVOLUME FULL
	END
END

OBJECT "GUS2DUMMY"
BEGIN
	ALWAYS
	BEGIN
		WAIT 24

		IF MISTSTATE = 1
		BEGIN
			GUS2.TOGGLE INVISIBLE = 1
		END
		IF MISTSTATE > 1
		BEGIN
			IF GUS2STATE = 0
			BEGIN
				GUS2.POS 7743 8927 23
				GUS2.TOGGLE INVISIBLE = 0
				GUS2.TRY SIT
				SET GUS2STATE = 1
			END
		END
		IF MISTSTATE > 3
		BEGIN
			IF GUS2STATE = 1
			BEGIN
				GUS2.POS 7743 8927 23
				GUS2.TOGGLE INVISIBLE = 0
				GUS2.TRY SIT
				SET GUS2STATE = 2
			END
		END
	END
END


OBJECT "Maureen1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1

		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT PIVOTOBJECT player
		player.PIVOTOBJECT MAUREEN1

		IF MISTSTATE < 4
		BEGIN
			say II11MAU00
			player.say II11LOC14
			say II11MAU10
			player.say II11LOC19
		END
		IF MISTSTATE > 3
		BEGIN
		IF MISTSTATE < 6
		BEGIN
			IF MAUREENSTATE = 1
			BEGIN
				say II21MAU03
			END
			IF MAUREENSTATE < 1
			BEGIN
 				say II21MAU00
				player.say II21LOC18
				say II21MAU01
				say II21MAU02
				player.say II21LOC19
				say II21MAU03
				SET MAUREENSTATE = 1
			END
		END
		END
		IF MISTSTATE > 5
		BEGIN
			IF MAUREENSTATE = 2
			BEGIN
				say V8MAU08
			END
			IF MAUREENSTATE < 2
			BEGIN
 				say V8MAU00
				player.say V8LOC18
				say V8MAU01
				player.say V8LOC19
				say V8MAU02
				say V8MAU03
				say V8MAU04
				say V8MAU05

				:Start2

					Choice Creature V8LOC20
					Choice Great V8LOC21
					wait response
	
				:Creature
		
					player.say V8LOC20
					say V8MAU06
					say V8MAU07
					player.say V8LOC22
					say V8MAU08
					Jump Finish2

				:Great
		
					player.say V8LOC21
					say V8MAU06
					say V8MAU07
					player.say V8LOC22
					say V8MAU08
								
				:Finish2

					SET MAUREENSTATE = 2
			END
		END
		
		CONTROL ON
		SETCDVOLUME FULL
	END		
END


OBJECT "Pauline1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1

		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT player.PIVOTOBJECT PAULINE1
		PIVOTOBJECT player

		IF MISTSTATE < 4
		BEGIN
			IF PAULINESTATE = 1
			BEGIN
				say II11PAU05
			END
			IF PAULINESTATE < 1
			BEGIN
				say II11PAU00
				say II11PAU01
				say II11PAU02
				say II11PAU03
				say II11PAU04
				say II11PAU05
					
				:Start1

					Choice Church II11LOC12
					Choice Sentiments II11LOC13
					wait response
	
				:Church
		
					player.say II11LOC12
					Jump Finisher
	
				:Sentiments

					player.say II11LOC13
			
				:Finisher

					SET PAULINESTATE = 1
			END
		END
		IF MISTSTATE > 3
		BEGIN
		IF MISTSTATE < 6
		BEGIN
			IF PAULINESTATE = 2
			BEGIN
				say II21PAU04
			END
			IF PAULINESTATE < 2
			BEGIN
 				say II21PAU00
				say II21PAU01
				say II21PAU02
		
				:Start2

					Choice Sick II21LOC15
					Choice Purpose II21LOC16
					wait response
	
				:Sick
		
					player.say II21LOC15
					Jump Finfin
	
				:Purpose

					player.say II21LOC16
					say II21PAU03
					player.say II21LOC17
					say II21PAU04
			
				:Finfin

					SET PAULINESTATE = 2
			END
		END
		END
		IF MISTSTATE > 5
		BEGIN
			IF PAULINESTATE = 3
			BEGIN
				say V8PAU03
			END
			IF PAULINESTATE < 3
			BEGIN
 				say V8PAU00
			
				:Start3

					Choice Thanx V8LOC14
					Choice Gods V8LOC15
					wait response
	
				:Thanx
		
					player.say V8LOC14
					say V8PAU01
					say V8PAU02
					say V8PAU03
					player.say V8LOC16
					player.say V8LOC17
					Jump Finsh
	
				:Gods

					player.say V8LOC15
					say V8PAU01
					say V8PAU02
					say V8PAU03
					player.say V8LOC16
					player.say V8LOC17
			
				:Finsh

					SET PAULINESTATE = 3
			END
		END

		CONTROL ON
		SETCDVOLUME FULL
	END	
END


OBJECT "Verhoeven1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1

		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT player.PIVOTOBJECT VERHOEVEN1
		PIVOTOBJECT player

		IF MISTSTATE < 4
		BEGIN
			IF VERHOEVENSTATE = 1
			BEGIN
				say II11VER09
			END
			IF VERHOEVENSTATE = 0
			BEGIN
				say II11VER00
				say II11VER01
				say II11VER02
	
				:Start1

					Choice Tendr II11LOC03
					Choice Nfo II11LOC04
					wait response
	
				:Nfo
	
					player.say II11LOC04
					say II11VER10
					say II11VER11
					say II11VER12
					Jump Start1
	
				:Tendr

					player.say II11LOC03
					say II11VER03
					say II11VER04
					say II11VER05
					player.say II11LOC05
					say II11VER06
					say II11VER07
					player.say II11LOC06
					say II11VER08
					say II11VER09
					SET VERHOEVENSTATE = 1
			END
		END
		IF MISTSTATE = 4
		BEGIN
			IF VERHOEVENSTATE = 2
			BEGIN
				say II21VER06
			END
			IF VERHOEVENSTATE < 2
			BEGIN
 				say II21VER00
				say II21VER01
				say II21VER02
	
				:Start2

					Choice Prepare II21LOC06
					Choice Way II21LOC07
					wait response
	
				:Way

					player.say II21LOC07
					say II21VER07
	
				:Prepare
		
					player.say II21LOC06
					say II21VER03
					player.say II21LOC08
					say II21VER04
					say II21VER05
					say II21VER06
					player.say II21LOC09
					SET VERHOEVENSTATE = 2
			END
		END
		IF MISTSTATE > 4
		BEGIN
			IF VERHOEVENSTATE = 3
			BEGIN
				say V8VER04
			END
			IF VERHOEVENSTATE < 3
			BEGIN
 				say V8VER00
				say V8VER01
				say V8VER02
				player.say V8LOC05
				say V8VER03
				player.say V8LOC06
				player.say V8LOC07
				say V8VER04
				player.say V8LOC08
				player.say V8LOC09
				SET VERHOEVENSTATE = 3
			END
		END

		CONTROL ON
		SETCDVOLUME FULL
	END
	ALWAYS
	BEGIN
		GOTO VERHOEVENWAY1
		WAIT 12
		PIVOT 0
		WAIT 24
		WAIT 24
		WAIT 24
		WAIT 24
		PIVOTOBJECT VERHOEVENWAY2
		WAIT 12
		GOTO VERHOEVENWAY2
		WAIT 12
		PIVOT 0
		WAIT 24
		WAIT 24
		PIVOTOBJECT VERHOEVENWAY1
		WAIT 12
	END
END


OBJECT "Geralt1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1

		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT player.PIVOTOBJECT GERALT1
		PIVOTOBJECT player

		IF MISTSTATE = 1
		BEGIN
			IF GERALTSTATE = 1
			BEGIN

			:Start1

				Choice History1 II1LOC07
				Choice Caves1 II1LOC08
				Choice Later1 II1LOC09
				wait response
	
			:History1

				player.say II1LOC07
				say II1GER10
				say II1GER11
				Jump Start1

			:Caves1
		
				player.say II1LOC08
				say II1GER12
				say II1GER13
				say II1GER14
				say II1GER15
				player.say II1LOC10
				say II1GER16
				say II1GER17
				say II1GER18
				Jump Start1

			:Later1

				player.say II1LOC09
				say II1GER19
				say II1GER20
			END

			IF GERALTSTATE = 0
			BEGIN
			
			player.say II1LOC00
			say II1GER00
			player.say II1LOC01
			say II1GER01
			player.say II1LOC02
			say II1GER02
			player.say II1LOC03
			say II1GER03
			player.say II1LOC04
			say II1GER04
			say II1GER05
			say II1GER06
			player.say II1LOC05
			say II1GER07
			player.say II1LOC06
			say II1GER08
			say II1GER09
			
			:Start2

				Choice History2 II1LOC07
				Choice Caves2 II1LOC08
				Choice Later2 II1LOC09
				wait response
	
			:History2

				player.say II1LOC07
				say II1GER10
				say II1GER11
				Jump Start2

			:Caves2
		
				player.say II1LOC08
				say II1GER12
				say II1GER13
				say II1GER14
				say II1GER15
				player.say II1LOC10
				say II1GER16
				say II1GER17
				say II1GER18
				Jump Start2

			:Later2

				player.say II1LOC09
				say II1GER19
				say II1GER20
				SET GERALTSTATE = 1
			END
		END
		IF MISTSTATE > 1
		BEGIN
		IF MISTSTATE < 4
		BEGIN
		IF JASONSTATE < 3	
		BEGIN

		say II12GER00
	
			:Start3

				Choice Tower3 II12LOC00
				Choice Nothing3 II12LOC01
				wait response
	
			:Nothing3
		
				player.say II12LOC01
				say II12GER16
				jump Finisher3

			:Tower3

				player.say II12LOC00
				say II12GER01
				say II12GER02
				player.say II12LOC02
				player.say II12LOC03
				say II12GER04
				player.say II12LOC04
				say II12GER05
				say II12GER06
				player.say II12LOC05
				say II12GER07
				player.say II12LOC06
				say II12GER08
				say II12GER09
				player.say II12LOC07
				say II12GER10
				say II12GER11
				
			:Start4
		
				Choice Afraid4 II12LOC08
				Choice Problem4 II12LOC09
				wait response
		
			:Afraid4
		
				player.say II12LOC08
				say II12GER12
				player.say II12LOC10
				say II12GER13
				say II12GER14
				say II12GER15
				Jump finisher3

			:Problem4
		
				player.say II12LOC09
				say II12GER12
				player.say II12LOC10
				say II12GER13
				say II12GER14
				say II12GER15
				
			:finisher3
				SET GERALTSTATE = 2
	
		END
		IF JASONSTATE = 3
		BEGIN
		
			say II12GER00

			:Start3B

				Choice Key5 II15LOC00
				Choice Nothing3B II12LOC01
				wait response
	
			:Nothing3B
		
				player.say II12LOC01
				say II12GER16
				jump Finisher3B

			:Key5

				player.say II15LOC00
				say II15GER01
				Jump Start3B
		
			:finisher3B

				SET GERALTSTATE = 2
		END	
		END
		END
		IF MISTSTATE > 3
		BEGIN
		IF MISTSTATE < 6
		BEGIN
			say II15GER00
	
			:Start5

				Choice Amulet5 II15LOC01
				Choice Out5 II15LOC02
				Choice Nothing5 II15LOC03
				wait response
	
			:Amulet5

				player.say II15LOC01		
				say II15GER02
				say II15GER03
				say II15GER04
				say II15GER05
				say II15GER06
				say II15GER08
				say II15GER09
				Jump Start5
		
			:Out5
		
				player.say II15LOC02
				say II15GER10
				say II15GER11
				say II15GER12
				say II15GER13
				say II15GER14
				say II15GER15
				say II15GER16
				Jump Start5

			:Nothing5
		
				player.say II15LOC03
				say II15GER17
				player.say II15LOC05
				SET GERALTSTATE = 3
		END
		END
		IF MISTSTATE = 6
		BEGIN
			IF GERALTSTATE = 4
			BEGIN
				say V7GER10
				player.say V7LOC06
				say V7GER11
			END
			IF GERALTSTATE < 4
			BEGIN
				say V7GER00
				say V7GER01
				say V7GER02
				player.say V7LOC00
				player.say V7LOC01
				say V7GER03
				say V7GER04
				say V7GER05
				say V7GER06
				say V7GER07
	

				:Start6

					Choice Interesting6 V7LOC02
					Choice Expect6 V7LOC03
					Choice Encouraging6 V7LOC04
					wait response

				:Expect6
		
					PLAYER.SAY V7LOC03
					say V7GER08
					player.say V7LOC05
					Jump START6

				:Encouraging6

					PLAYER.SAY V7LOC04
					say V7GER09
					say V7GER10
					player.say V7LOC06
					say V7GER11
					player.say V7LOC07
					say V7GER12
					player.say V7LOC08
					player.say V7LOC09
					Jump START6

				:Interesting6

					PLAYER.SAY V7LOC02
					say V7GER13
					player.say V7LOC10
					say V7GER14
					SET GERALTSTATE = 4
				END
			END
		IF MISTSTATE = 7
		BEGIN
			IF GERALTSTATE = 5
			BEGIN
				say VIII8GER06
			END
			IF GERALTSTATE < 5
			BEGIN
				say VIII8GER00
				wait 5
	
				:Start7

					Choice Yhagoro7 VIII8LOC01
					Choice Happen7 VIII8LOC02
					wait response

			:Happen7

					player.say VIII8LOC02
					say VIII8GER02
					say VIII8GER03
					player.say VIII8LOC03
					JUMP YOURMOMS7
	
			:Yhagoro7
		
					player.say VIII8LOC01
					
					:YOURMOMS7

					say VIII8GER04
					player.say VIII8LOC04
					say VIII8GER05
					player.say VIII8LOC05
					say VIII8GER06
					player.say VIII8LOC06
					say VIII8GER07
					SET GERALTSTATE = 5
			END
		END

	CONTROL ON
	SETCDVOLUME FULL

	END
	ALWAYS
	BEGIN
		GOTO GERALTWAY1
		WAIT 24
		PIVOTOBJECT GERALTWAY2
		WAIT 12
		GOTO GERALTWAY2
		PIVOT 190
		WAIT 24
		WAIT 24
		WAIT 24
		PIVOTOBJECT GERALTWAY1
		WAIT 12
		GOTO GERALTWAY1
		WAIT 24
		PIVOTOBJECT GERALTWAY3
		WAIT 12
		GOTO GERALTWAY3
		WAIT 24
		PIVOT 0
		WAIT 24
		WAIT 24
		WAIT 24
		PIVOTOBJECT GERALTWAY4
		WAIT 12
		GOTO GERALTWAY4
		WAIT 24
		PIVOT 60
		WAIT 24
		WAIT 24
		WAIT 24
		PIVOTOBJECT GERALTWAY3
		WAIT 12
		GOTO GERALTWAY3
		WAIT 24
		PIVOT 0
		WAIT 24
		WAIT 24
		WAIT 24
		PIVOTOBJECT GERALTWAY1
		WAIT 12
	END
END


OBJECT "Howard1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT PIVOTOBJECT player
		player.PIVOTOBJECT HOWARD1
		SAY II23TM100
		SAY II23TM101
		CONTROL ON
		SETCDVOLUME FULL
	END
	ALWAYS
	BEGIN
		GOTORELATIVEPOSITION HOWARDWAY1 0 0
		WAIT 24
		PIVOTOBJECT HOWARDWAY2
		WAIT 24
		GOTORELATIVEPOSITION HOWARDWAY2 0 0
		WAIT 24
		PIVOTOBJECT HOWARDWAY1
		WAIT 24
	END
END


OBJECT "Paul1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT PIVOTOBJECT player
		player.PIVOTOBJECT PAUL1
		SAY II23TM200
		SAY II23TM201
		SAY II23TM202
		PIVOT 45
		CONTROL ON
		SETCDVOLUME FULL
	END
END


OBJECT "Keelan1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		NOWAIT CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT PIVOTOBJECT player
		player.PIVOTOBJECT KEELAN1
		SAY II23TM300
		SAY II23TM301
		SAY II23TM302
		CONTROL ON
		SETCDVOLUME FULL
	END
END


OBJECT "Karl1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT PIVOTOBJECT player
		player.PIVOTOBJECT KARL1
		SAY II23TM400
		SAY II23TM401
		SAY II23TM402
		SAY II23TM403
		PIVOT 0
		CONTROL ON
		SETCDVOLUME FULL
	END
END


OBJECT "Pepper1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP	
		player.COMBAT OFF
		NOWAIT PIVOTOBJECT player
		player.PIVOTOBJECT PEPPER1
		SAY II23TM500
		SAY II23TM501
		PIVOT 190
		CONTROL ON
		SETCDVOLUME FULL
	END
END


OBJECT "Amy1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT player.PIVOTOBJECT AMY1
		PIVOTOBJECT player
		SAY II23TW500
		SAY II23TW501
		SAY II23TW502
		CONTROL ON
		SETCDVOLUME FULL
	END
END


OBJECT "Karen1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP	
		player.COMBAT OFF
		NOWAIT PIVOTOBJECT player
		player.PIVOTOBJECT KAREN1
		SAY II23TW100
		SAY II23TW101
		SAY II23TW102
		SAY II23TW103
		CONTROL ON
		SETCDVOLUME FULL
	END
END


OBJECT "Pamela1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT PIVOTOBJECT player
		player.PIVOTOBJECT PAMELA1
		SAY II23TW200
		SAY II23TW201
		SAY II23TW202
		CONTROL ON
		SETCDVOLUME FULL
	END
END


OBJECT "Sarah1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT PIVOTOBJECT player
		player.PIVOTOBJECT SARAH1
		SAY II23TW400
		SAY II23TW401
		SAY II23TW402
		SAY II23TW403
		CONTROL ON
		SETCDVOLUME FULL
	END
	ALWAYS
	BEGIN
		GOTO SARAHWAY2
		WAIT 12
		PIVOTOBJECT SARAHWAY3
		WAIT 12
		GOTO SARAHWAY3
		WAIT 12
		PIVOT 190
		WAIT 24
		WAIT 24
		WAIT 24
		WAIT 24
		PIVOTOBJECT SARAHWAY2
		WAIT 12
		GOTO SARAHWAY2
		WAIT 12
		PIVOTOBJECT SARAHWAY1
		WAIT 12
		GOTO SARAHWAY1
		WAIT 12
		PIVOT 190
		WAIT 24
		WAIT 24
		WAIT 24
		WAIT 24
		PIVOTOBJECT SARAHWAY2
		WAIT 12
	END
END


OBJECT "CAMERON1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT PIVOTOBJECT player
		player.PIVOTOBJECT CAMERON1

		IF MISTSTATE < 5
		BEGIN
			SAY II11CAM00
			player.SAY II11LOC00
			SAY II11CAM01
			player.SAY II11LOC01
			player.SAY II11LOC02
			WAIT 24
			PIVOT 190
		END
		IF MISTSTATE = 5
		BEGIN
			IF CAMERONSTATE = 1
			BEGIN
				SAY II21CAM04
				WAIT 24
				PIVOT 190
			END
			IF CAMERONSTATE = 0
			BEGIN
 				SAY II21CAM00
				player.SAY II21LOC00
				SAY II21CAM01
				player.SAY II21LOC01
				SAY II21CAM02

				:Start

					CHOICE Matter II21LOC02
					CHOICE Saint II21LOC03
					WAIT response
						
				:Matter
		
					player.SAY II21LOC02
					SAY II21CAM03
					JUMP FINIE
	
				:Saint

					player.SAY II21LOC03
					SAY II21CAM04
					player.SAY II21LOC04
					SAY II21CAM05
					player.SAY II21LOC05
			
				:FINIE
					
					SET CAMERONSTATE = 1
					WAIT 24
					PIVOT 190
			END
		END
		IF MISTSTATE > 5
		BEGIN
			IF CAMERONSTATE = 2
			BEGIN
				SAY V8CAM01
				WAIT 24
				PIVOT 190
			END
			IF CAMERONSTATE = 1
			BEGIN
 				SAY V8CAM00
	
				:Start

					CHOICE Die V8LOC00
					CHOICE Sorry V8LOC01
					CHOICE Seem V8LOC02
					WAIT response
	
				:Die
		
					player.SAY V8LOC00
					SAY V8CAM01
					player.SAY V8LOC03
					SAY V8CAM02
					player.SAY V8LOC04
					JUMP THEND

				:Sorry
		
					player.SAY V8LOC01
					SAY V8CAM01
					player.SAY V8LOC03
					SAY V8CAM02
					player.SAY V8LOC04
					JUMP THEND

				:Seem
		
					player.SAY V8LOC02
					SAY V8CAM01
					player.SAY V8LOC03
					SAY V8CAM02
					player.SAY V8LOC04
			
				:THEND

					SET CAMERONSTATE = 2
					WAIT 24
					PIVOT 190
			END
		END
		CONTROL ON
		SETCDVOLUME FULL
	END
	ALWAYS
	BEGIN
		GOTO CAMERONWAY1
		WAIT 12
		PIVOT 190
		WAIT 24
		WAIT 24
		WAIT 24
		WAIT 24
		PIVOTOBJECT CAMERONWAY2
		WAIT 12
		GOTO CAMERONWAY2
		WAIT 12
		PIVOT 190
		WAIT 24
		WAIT 24
		WAIT 24
		WAIT 24
		PIVOTOBJECT CAMERONWAY1
		WAIT 12
	END
END


//	SHOPS


OBJECT "ELAHNI1"
BEGIN
	DIALOG
	BEGIN
		face 60
		WAIT 1
		SETCDVOLUME HALF
		WAIT 1
		control off
		player.stop
		player.COMBAT OFF
		nowait pivotobject player
		player.pivotobject elahni1
		SAY II22ELA00
		SAY II22ELA01

		:start1

		buysellinit
		buysellsalesperson elahni1
		buysellnogolddialog II22ELA02
		buysellpurchasedialog II22ELA03

		choice buy1 BSBUY2
		choice sell1 BSSELL2
		choice stop1 BSEXIT2
		wait response

		:buy1
	
		player.SAY II22LOC01
		player.SAY II22LOC02
		buysellshoptype buy misc
		BuySellAdd "Lesser Healing"
		BuySellAdd "Lesser Mana"
		BuySellAdd "Lesser Restoration"
		BuySellAdd "Greater Healing"
		BuySellAdd "Greater Mana"
		BuySellAdd "Greater Restoration"
		BuySellAdd "Enchanted Healing"
		BuySellAdd "Enchanted Mana"
		BuySellAdd "Enchanted Restoration"
		BuySellAdd "Cure Poison"
		buysellscreen
		wait buysell
		jump start1

		:sell1
		buysellshoptype sell misc
		BuySellAddbuyitem "Lesser Healing"
		BuySellAddbuyitem "Lesser Mana"
		BuySellAddbuyitem "Lesser Restoration"
		BuySellAddbuyitem "Greater Healing"
		BuySellAddbuyitem "Greater Mana"
		BuySellAddbuyitem "Greater Restoration"
		BuySellAddbuyitem "Enchanted Healing"
		BuySellAddbuyitem "Enchanted Mana"
		BuySellAddbuyitem "Enchanted Restoration"
		BuySellAddbuyitem "Cure Poison"
		buysellscreen
		wait buysell
		jump start1

		:stop1

		SAY II22ELA05
		SAY II22ELA06
		control on
		WAIT 1
		SETCDVOLUME FULL
		WAIT 1
	END
END


OBJECT "HRUTHFORD1"
BEGIN
	DATA
	BEGIN
		NUMBER VALUE 0
	END
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		control off
		player.stop
		player.COMBAT OFF
		nowait pivotobject player
		player.pivotobject hruthford1
		IF MISTSTATE < 4
		BEGIN

		SAY II7HRU00
		SAY II7HRU01

		:start1

		buysellinit
		buysellsalesperson HRUTHFORD1
		buysellnogolddialog II7HRU02
		buysellpurchasedialog II7HRU03

		choice buy1 BSBUY2
		choice sell1 BSSELL2
		choice stop1 BSEXIT2
		wait response

		:buy1
		player.SAY II7LOC00
		buysellshoptype buy MISC
		buyselladd "Pouch"
		buyselladd "Meat"
		buyselladd "Fish"
		buyselladd "Bread"
		buyselladd "Apple"
		buyselladd "Cheese"
		BuySellAdd "Bracelet of Fortune"
		BuySellAdd "Ivory Pendant"
		BuySellAdd "Alpha Gem Necklace"
		BuySellAdd "Amulet of Channeling"
		BuySellAdd "Amulet of Power"
		BuySellAdd "Amulet of Thunderbolts"
		BuySellAdd "Band of Regeneration"
		BuySellAdd "Cestus of Slicing"
		BuySellAdd "Dragon Eye Pendant"
		BuySellAdd "Earthen Gauntlets"
		BuySellAdd "Emerald Ring"
		BuySellAdd "Fenrus Collar"
		BuySellAdd "Gauntlets of Chaos"
		BuySellAdd "Ring of the Arcane"
		BuySellAdd "Serpent Ring"
		BuySellAdd "Spirit Pendant"
		BuySellAdd "Venom Ring"
		BuySellAdd "Wyrmtooth Necklace"
		buysellscreen
		wait buysell
		jump start1

		:sell1
		buysellshoptype sell MISC
		buyselladdbuyitem "Pouch"
		buyselladdbuycriteria "EQSLOT" 1 1
		buyselladdbuycriteria "EQSLOT" 5 6
		buysellscreen
		wait buysell
		jump start1

		:stop1

		SAY II7HRU05
		SAY II7HRU06
		SAY II7HRU07
		SAY II7HRU08

		END
		
		IF MISTSTATE > 3
		BEGIN
		IF MISTSTATE < 7
		BEGIN 

		SAY II18HRU00
		SAY II18HRU01

		:start2

		buysellinit
		buysellsalesperson HRUTHFORD1
		buysellnogolddialog II18HRU02
		buysellpurchasedialog II18HRU03

		choice buy2 BSBUY2
		choice sell2 BSSELL2
		choice stop2 BSEXIT2
		wait response

		:buy2
		NOWAIT player.SAY II18LOC00
		buysellshoptype buy MISC
		buyselladd "Pouch"
		buyselladd "Meat"
		buyselladd "Fish"
		buyselladd "Bread"
		buyselladd "Apple"
		buyselladd "Cheese"
		BuySellAdd "Bracelet of Fortune"
		BuySellAdd "Ivory Pendant"
		BuySellAdd "Sigil Ring"
		BuySellAdd "Emerald Collar"
		BuySellAdd "Amulet of Cunning"
		BuySellAdd "Fire Ruby Ring"
		BuySellAdd "Alpha Gem Necklace"
		BuySellAdd "Amulet of Channeling"
		BuySellAdd "Amulet of Power"
		BuySellAdd "Amulet of Thunderbolts"
		BuySellAdd "Band of Regeneration"
		BuySellAdd "Cestus of Slicing"
		BuySellAdd "Dragon Eye Pendant"
		BuySellAdd "Earthen Gauntlets"
		BuySellAdd "Emerald Ring"
		BuySellAdd "Fenrus Collar"
		BuySellAdd "Gauntlets of Chaos"
		BuySellAdd "Ring of the Arcane"
		BuySellAdd "Serpent Ring"
		BuySellAdd "Spirit Pendant"
		BuySellAdd "Venom Ring"
		BuySellAdd "Wyrmtooth Necklace"
		buysellscreen
		wait buysell
		jump start2

		:sell2
		buysellshoptype sell MISC
		buyselladdbuyitem "Pouch"
		buyselladdbuycriteria "EQSLOT" 1 1
		buyselladdbuycriteria "EQSLOT" 5 6
		buysellscreen
		wait buysell
		jump start2

		:stop2

		SAY II18HRU05
		SAY II18HRU06
		SAY II18HRU07
		SAY II18HRU08

		END
		END

		IF MISTSTATE = 7
		BEGIN
		
		SAY VIII7HRU00
		
		:start4

		buysellinit
		buysellsalesperson HRUTHFORD1
		buysellnogolddialog VIII7HRU01
		buysellpurchasedialog VIII7HRU02

		choice buy4 BSBUY2
		choice sell4 BSSELL2
		choice stop4 BSEXIT2
		wait response

		:buy4
		player.SAY VIII7LOC00
		buysellshoptype buy MISC
		buyselladd "Pouch"
		buyselladd "Meat"
		buyselladd "Fish"
		buyselladd "Bread"
		buyselladd "Apple"
		buyselladd "Cheese"
		BuySellAdd "Bracelet of Fortune"
		BuySellAdd "Ivory Pendant"
		BuySellAdd "Sigil Ring"
		BuySellAdd "Emerald Collar"
		BuySellAdd "Amulet of Cunning"
		BuySellAdd "Fire Ruby Ring"
		BuySellAdd "Band of Fury"
		BuySellAdd "Emerald Bracelet"
		BuySellAdd "Gloves of Striking"
		BuySellAdd "Necklace of Courage"
		BuySellAdd "Alpha Gem Necklace"
		BuySellAdd "Amulet of Channeling"
		BuySellAdd "Amulet of Power"
		BuySellAdd "Amulet of Thunderbolts"
		BuySellAdd "Band of Regeneration"
		BuySellAdd "Cestus of Slicing"
		BuySellAdd "Dragon Eye Pendant"
		BuySellAdd "Earthen Gauntlets"
		BuySellAdd "Emerald Ring"
		BuySellAdd "Fenrus Collar"
		BuySellAdd "Gauntlets of Chaos"
		BuySellAdd "Ring of the Arcane"
		BuySellAdd "Serpent Ring"
		BuySellAdd "Spirit Pendant"
		BuySellAdd "Venom Ring"
		BuySellAdd "Wyrmtooth Necklace"
		buysellscreen
		wait buysell
		jump start4

		:sell4
		buysellshoptype sell MISC
		buyselladdbuyitem "Pouch"
		buyselladdbuycriteria "EQSLOT" 1 1
		buyselladdbuycriteria "EQSLOT" 5 6
		buysellscreen
		wait buysell
		jump start4

		:stop4

		SAY VIII7HRU04
		SAY VIII7HRU05

		END
		control on
		SETCDVOLUME FULL
	END
	ALWAYS
	BEGIN
		GOTO HRUWAY01
		TRY SWEEP
		TRY WALK
		PIVOTOBJECT HRUWAY02
		TRY WALK
		GOTO HRUWAY02
		TRY SWEEP
		TRY WALK
		PIVOTOBJECT HRUWAY03
		TRY WALK
		GOTO HRUWAY03
		TRY SWEEP
		TRY WALK
		PIVOTOBJECT HRUWAY02
		TRY WALK
		GOTO HRUWAY02
		TRY SWEEP
		TRY WALK
		PIVOTOBJECT HRUWAY01
		TRY WALK
	END
END


OBJECT "GINA1"
BEGIN
	DATA
	BEGIN
		number VALUE 0
	END
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		control off
		player.stop
		player.COMBAT OFF
		nowait pivotobject player
		player.pivotobject GINA1
		SETPROTOVARIABLE VALUE = player.STAT "LEVEL" / 3 + 16
		IF MISTSTATE < 4
		BEGIN

		SAY II9GIN00
		SAY II9GIN01

		:start1

		buysellinit
		buysellsalesperson GINA1
		buysellnogolddialog II9GIN03
		buysellpurchasedialog II9GIN04

		choice buy1 BSBUY2
		choice sell1 BSSELL2
		choice stop1 BSEXIT2
		wait response

		:buy1
		player.SAY II9LOC00
		player.SAY II9LOC01
		buysellshoptype buy WEAPON
		BuySellAddCriteria "minstrength" 1 VALUE
		buysellscreen
		wait buysell
		jump start1

		:sell1
		buysellshoptype sell WEAPON
		buyselladdbuyitems
		buysellscreen
		wait buysell
		jump start1

		:stop1

		SAY II9GIN06
		SAY II9GIN07
		SAY II9GIN08

		END
		
		IF MISTSTATE > 3
		BEGIN
		IF MISTSTATE < 6
		BEGIN 

		SAY II20GIN00
		SAY II20GIN01

		:start2

		buysellinit
		buysellsalesperson GINA1
		buysellnogolddialog II20GIN02
		buysellpurchasedialog II20GIN03

		choice buy2 BSBUY2
		choice sell2 BSSELL2
		choice stop2 BSEXIT2
		wait response

		:buy2
		NOWAIT player.SAY II20LOC00
		buysellshoptype buy WEAPON
		BuySellAddCriteria "minstrength" 1 VALUE
		buysellscreen
		wait buysell
		jump start2

		:sell2
		buysellshoptype sell WEAPON
		buyselladdbuyitems
		buysellscreen
		wait buysell
		jump start2

		:stop2

		SAY II20GIN05
		SAY II20GIN07

		END
		END

		IF MISTSTATE = 6
		BEGIN
		
		SAY V4GIN00
		SAY V4GIN01

		:start3

		buysellinit
		buysellsalesperson GINA1
		buysellnogolddialog V4GIN02
		buysellpurchasedialog V4GIN03

		choice buy3 BSBUY2
		choice sell3 BSSELL2
		choice stop3 BSEXIT2
		wait response

		:buy3
		NOWAIT player.SAY V4LOC00
		buysellshoptype buy weapon
		BuySellAddCriteria "minstrength" 1 VALUE
		buysellscreen
		wait buysell
		jump start3

		:sell3
		buysellshoptype sell WEAPON
		buyselladdbuyitems
		buysellscreen
		wait buysell
		jump start3

		:stop3

		SAY V4GIN05
		SAY V4GIN06
		SAY V4GIN07

		END

		IF MISTSTATE = 7
		BEGIN
		
		SAY VIII5GIN00
		SAY VIII5GIN01
		
		:start4

		buysellinit
		buysellsalesperson GINA1
		buysellnogolddialog VIII5GIN02
		buysellpurchasedialog VIII5GIN03

		choice buy4 BSBUY2
		choice sell4 BSSELL2
		choice stop4 BSEXIT2
		wait response

		:buy4
		NOWAIT player.SAY VIII5LOC00
		buysellshoptype buy WEAPON
		BuySellAddCriteria "minstrength" 1 VALUE
		buysellscreen
		wait buysell
		jump start4

		:sell4
		buysellshoptype sell WEAPON
		buyselladdbuyitems
		buysellscreen
		wait buysell
		jump start4

		:stop4

		SAY VIII5GIN05
		SAY VIII5GIN06
		SAY VIII5GIN07

		END
		CONTROL ON
		SETCDVOLUME FULL
	END
	ALWAYS
	BEGIN
		GOTORELATIVEPOSITION GINAWAY1 0 0
		WAIT 24
		PIVOTOBJECT GINAWAY2
		WAIT 24
		GOTORELATIVEPOSITION GINAWAY2 0 0
		WAIT 24
		PIVOTOBJECT GINAWAY1
		WAIT 24
		GOTORELATIVEPOSITION GINAWAY1 0 0
		WAIT 24
		PIVOTOBJECT GINAWAY3
		WAIT 24
		GOTORELATIVEPOSITION GINAWAY3 0 0
		WAIT 24
		PIVOTOBJECT GINAWAY1
		WAIT 24
	END
END



OBJECT "CRONUS1"
BEGIN
	
	DATA
	BEGIN
		number VALUE 0
	END
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		control off
		player.stop
		player.COMBAT OFF
		nowait pivotobject player
		player.pivotobject cronus1
		SETPROTOVARIABLE VALUE = player.STAT "LEVEL" / 3 + 16
		IF MISTSTATE < 4
		BEGIN

		SAY II8CRO00
		SAY II8CRO01

		:start1

		buysellinit
		buysellsalesperson cronus1
		buysellnogolddialog II8CRO02
		buysellpurchasedialog II8CRO03

		choice buy1 BSBUY2
		choice sell1 BSSELL2
		choice stop1 BSEXIT2
		wait response

		:buy1
		player.SAY II8LOC00
		player.SAY II8LOC01
		buysellshoptype buy armor
		BuySellAddCriteria "minstrength" 1 VALUE
		BuySellRemoveCriteria "EQSLOT" 1 1
		BuySellRemoveCriteria "EQSLOT" 5 6
		buysellscreen
		wait buysell
		jump start1

		:sell1
		buysellshoptype sell armor
		buyselladdbuyitems
		buysellremovebuycriteria "EQSLOT" 1 1
		buysellremovebuycriteria "EQSLOT" 5 6
		buysellscreen
		wait buysell
		jump start1

		:stop1

		SAY II8CRO06
		SAY II8CRO07

		END
		
		IF MISTSTATE > 3
		BEGIN
		IF MISTSTATE < 6
		BEGIN 

		SAY II19CRO00
		SAY II19CRO01

		:start2

		buysellinit
		buysellsalesperson cronus1
		buysellnogolddialog II19CRO02
		buysellpurchasedialog II19CRO03

		choice buy2 BSBUY2
		choice sell2 BSSELL2
		choice stop2 BSEXIT2
		wait response

		:buy2
		player.SAY II19LOC00
		NOWAIT player.SAY II19LOC01
		buysellshoptype buy armor
		BuySellAddCriteria "minstrength" 1 VALUE
		BuySellRemoveCriteria "EQSLOT" 1 1
		BuySellRemoveCriteria "EQSLOT" 5 6
		buysellscreen
		wait buysell
		jump start2

		:sell2
		buysellshoptype sell armor
		buyselladdbuyitems
		buysellremovebuycriteria "EQSLOT" 1 1
		buysellremovebuycriteria "EQSLOT" 5 6
		buysellscreen
		wait buysell
		jump start2

		:stop2

		SAY II19CRO06
		SAY II19CRO07

		END
		END

		IF MISTSTATE = 6
		BEGIN
		
		SAY V5CRO00
		SAY V5CRO01

		:start3

		buysellinit
		buysellsalesperson cronus1
		buysellnogolddialog V5CRO03
		buysellpurchasedialog V5CRO04

		choice buy3 BSBUY2
		choice sell3 BSSELL2
		choice stop3 BSEXIT2
		wait response

		:buy3
		player.SAY V5LOC00
		NOWAIT player.SAY V5LOC01
		buysellshoptype buy armor
		BuySellAddCriteria "minstrength" 1 VALUE
		BuySellRemoveCriteria "EQSLOT" 1 1
		BuySellRemoveCriteria "EQSLOT" 5 6
		buysellscreen
		wait buysell
		jump start3

		:sell3
		buysellshoptype sell armor
		buyselladdbuyitems
		buysellremovebuycriteria "EQSLOT" 1 1
		buysellremovebuycriteria "EQSLOT" 5 6
		buysellscreen
		wait buysell
		jump start3

		:stop3

		SAY V5CRO06
		SAY V5CRO07

		END

		IF MISTSTATE = 7
		BEGIN
		
		SAY VIII6CRO00
		player.SAY VIII6LOC00
		SAY VIII6CRO01
		SAY VIII6CRO02


		:start4

		buysellinit
		buysellsalesperson cronus1
		buysellnogolddialog VIII6CRO03
		buysellpurchasedialog VIII6CRO04

		choice buy4 BSBUY2
		choice sell4 BSSELL2
		choice stop4 BSEXIT2
		wait response

		:buy4
		player.SAY VIII6LOC01
		NOWAIT player.SAY VIII6LOC02
		buysellshoptype buy armor
		BuySellAddCriteria "minstrength" 1 VALUE
		BuySellRemoveCriteria "EQSLOT" 1 1
		BuySellRemoveCriteria "EQSLOT" 5 6
		buysellscreen
		wait buysell
		jump start4

		:sell4
		buysellshoptype sell armor
		buyselladdbuyitems
		buysellremovebuycriteria "EQSLOT" 1 1
		buysellremovebuycriteria "EQSLOT" 5 6
		buysellscreen
		wait buysell
		jump start4

		:stop4

		SAY VIII6CRO06
		SAY VIII6CRO07

		END
	
	CONTROL ON
	SETCDVOLUME FULL

	END
	ALWAYS
	BEGIN
		GOTORELATIVEPOSITION CRONUSWAY1 0 0
		WAIT 24
		WAIT 24
		WAIT 24
		WAIT 24
		PIVOTOBJECT CRONUSWAY2
		WAIT 12
		GOTORELATIVEPOSITION CRONUSWAY2 0 0
		WAIT 12
		PIVOT 190
		WAIT 24
		WAIT 24
		WAIT 24
		PIVOTOBJECT CRONUSWAY3
		WAIT 12
		GOTORELATIVEPOSITION CRONUSWAY3 0 0
		WAIT 12
		PIVOTOBJECT CRONUSWAY1
		WAIT 12
	END
	
END


OBJECT "BAYNE1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		NOWAIT CONTROL OFF
		player.STOP
		player.COMBAT OFF
		NOWAIT player.PIVOTOBJECT bayne1
		PIVOTOBJECT player
		
		If BAYNESTATE = 2
		BEGIN
			say II10BAY10
		END

		If BAYNESTATE = 1
 		BEGIN
			say II10BAY00
			player.say II10LOC00
			say II10BAY01
			player.say II10LOC01
			say II10BAY02
	
			:Start
			
			Choice tell "II10LOC02"
			Choice handle "II10LOC03"
			Choice dead "II10LOC04"
			wait response

			:tell
			player.say II10LOC02
			jump jBayne
	
			:handle
			player.say II10LOC03
			jump jBayne
	
			:dead
			player.say II10LOC04

			:jBayne
			say II10BAY03
			player.say II10LOC05
			say II10BAY04
			player.say II10LOC06
			say II10BAY05
			say II10BAY06

			:Start2
	
			Choice join II10LOC07
			Choice own II10LOC08
			wait response
	
			:join

			player.say II10LOC07
			say II10BAY07
			say II10BAY08
			player.say II10LOC09
			jump Finish

			:own

			player.say II10LOC08
			say II10BAY09
			say II10BAY10	

			:Finish

			set BAYNESTATE = 2
			control on
		END
		
		CONTROL ON
		SETCDVOLUME FULL

	END
	CUBE player 3335,20211,0 3440,20231,300 
	BEGIN
		IF BAYNESTATE = 0
		BEGIN
			CONTROL OFF
			player.STOP
			player.COMBAT OFF
			player.GOTO 3393 20205 180
			WAIT 24
			SCROLLTO KEELAN1
			player.PIVOTOBJECT KEELAN1
			nowait keelan1.TRY say
			WAIT 72
			keelan1.TRY walk
			TRY say
			WAIT 24
			nowait TRY uppercut
			Keelan1.TRY knockdown
			WAIT 24
			SCROLLTO player
			SET BAYNESTATE = 1
			KEELAN1.GOTO 3427 20400
			KEELAN1.GOTO 3627 20400
			KEELAN1.GOTO 3627 20216
			CONTROL ON
			KEELAN1.PIVOT 90
		END
	END
END


OBJECT "Gus1"
BEGIN
	DIALOG
	BEGIN
	FACEOBJECT KYLIE1
	WAIT 1
	SETCDVOLUME HALF
	WAIT 1
	control off
	player.STOP
	player.COMBAT OFF
	player.gotorelativeposition gusway 0 -10
	player.pivotobject Gus1
	say anim sitsay II3GUS00
	SET RUBOLDSTATE = 0
	RUBOLD1.PIVOTOBJECT GUS1
	Rubold1.say II3RUB00
	say anim sitsay II3GUS01
	Rubold1.say II3RUB01
	say anim sitsay II3GUS02
	SET RUBOLDSTATE = 1
		
	:Start

	Choice Trouble II3LOC00
	Choice Drunk II3LOC01
	Choice Against II3LOC02
	wait response
	
	:Trouble
	 	
	player.say II3LOC00
	say anim sitsay II3GUS03
	player.say II3LOC03
	say anim sitsay II3GUS04
	player.say II3LOC04
	say anim sitsay II3GUS05
	player.say II3LOC05
	say anim sitsay II3GUS06
	say anim sitsay II3GUS07
	player.say II3LOC06
	say anim sitsay II3GUS08		
	Jump Start1

	:Drunk
		
	player.say II3LOC01
	say anim sitsay II3GUS03
	player.say II3LOC03
	say anim sitsay II3GUS04
	player.say II3LOC04
	say anim sitsay II3GUS05
	player.say II3LOC05
	say anim sitsay II3GUS06
	say anim sitsay II3GUS07
	player.say II3LOC06
	say anim sitsay II3GUS08		
	Jump Start1

	:Against
		
	player.say II3LOC02
	say anim sitsay II3GUS03
	player.say II3LOC03
	say anim sitsay II3GUS04
	player.say II3LOC04
	say anim sitsay II3GUS05
	player.say II3LOC05
	say anim sitsay II3GUS06
	say anim sitsay II3GUS07
	player.say II3LOC06
	say anim sitsay II3GUS08
	Jump Start1

	:Start1

	Choice Cav II3LOC07
	Choice Tower II3LOC08
	wait response

	:Tower
	
	player.say II3LOC08
	Say anim sitsay II3GUS09
	say anim sitsay II3GUS10
	Jump Start1

	:Cav

	player.say II3LOC07 
	say anim sitsay II3GUS11
	player.say II3LOC09
	say anim sitsay II3GUS12
	say anim sitsay II3GUS13
	player.say II3LOC10
	say anim sitsay II3GUS14
	player.say II3LOC11
	say anim sitsay II3GUS15
	say anim sitsay II3GUS16
	player.say II3LOC12
	say anim sitsay II3GUS17
	say anim sitsay II3GUS18
	player.say II3LOC13
	say anim sitsay II3GUS19
	player.say II3LOC14
	say anim sitsay II3GUS20
	player.say II3LOC15
	say anim sitsay II3GUS21
	say anim sitsay II3GUS22

	:Start2

	Choice Deal II3LOC17
	Choice Important II3LOC18
	wait response

	:Important
	
	player.say II3LOC18
	say anim sitsay II3GUS31
	player.say II3LOC23
	say anim sitsay II3GUS32
	say anim sitsay II3GUS33
	say anim sitsay II3GUS34
	jump Start2

	:Deal
	
	SET MISTSTATE = 2
	player.say II3LOC17
	say anim sitsay II3GUS29
	say anim sitsay II3GUS30
	player.say II3LOC22
	say anim sitsay II3GUS35
	WAIT 20
	NOWAIT TRY Walk
	MOVE -20 0 0
	STATE Walkf
	GOTORELATIVEPOSITION GUSWAY 0 30
	GOTORELATIVEPOSITION BAROUT -30 0
	BAROUT.STATE "OPENINGOUT"
	WAIT 12
	FADECHARACTEROUT GUS1
	WAIT 24
	GUS1.TOGGLE INVISIBLE = 1
	BAROUT.STATE "CLOSINGOUT"
	POS 4300 20200
	CONTROL ON
	WAIT 1
	SETCDVOLUME FULL
	WAIT 1	
	END
END


OBJECT "Rubold1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		control off
		player.STOP	
		player.COMBAT OFF
		nowait player.faceobject Rubold1
		faceobject player
	
		If MISTSTATE < 4
		BEGIN
			say II4RUB00
	
			:Start

				Choice town II4LOC00
				Choice dancing II4LOC01
				Choice cult II4LOC02
				Choice look II4LOC03
				wait response
	
			:town
         
				player.say II4LOC00
				say II4RUB01
				say II4RUB02
				say II4RUB03
				jump Start

			:dancing
	
				player.say II4LOC01
				say II4RUB04
				say II4RUB05
				jump Start

			:cult
	
				player.say II4LOC02
				say II4RUB06
				say II4RUB07
				say II4RUB08
				jump Start

			:look
	
				player.say II4LOC03
				say II4RUB09
		END

		If MISTSTATE > 3
		BEGIN
		IF MISTSTATE < 6
		BEGIN
			If RUBOLDSTATE = 2
			BEGIN
				player.say II17LOC04
			END

			If RUBOLDSTATE < 2
			BEGIN
				say II17RUB00
				player.say II17LOC00
				say II17RUB01
				say II17RUB02
				player.say II17LOC01
				say II17RUB03
				player.say II17LOC02
				say II17RUB04
				player.say II17LOC03
				say II17RUB05
				player.say II17LOC04
				set RUBOLDSTATE = 2
			END
		END
		END

		If MISTSTATE = 6
		BEGIN
			If RUBOLDSTATE = 3
			BEGIN
				say V3RUB10
			END
			If RUBOLDSTATE < 3
			BEGIN
				say V3RUB00
				player.say V3LOC00
				say V3RUB01
				say V3RUB02
				say V3RUB03
				say V3RUB04
	
				:Start2
	
				Choice worry V3LOC01
				Choice best V3LOC02
				wait response
	
				:best
				player.say V3LOC02
				say V3RUB05
				player.say V3LOC03	
				player.say V3LOC04
				jump Terminator

				:worry
				player.say V3LOC01
				say V3RUB06
				say V3RUB07
				say V3RUB08
				player.say V3LOC05
				player.say V3LOC06
				say V3RUB09
				say V3RUB10
				player.say V3LOC07
				player.say V3LOC08

				:Terminator

				set RUBOLDSTATE = 3
			END
			
		END
		If MISTSTATE = 7
		BEGIN
			If RUBOLDSTATE = 4
			BEGIN
				say VIII4RUB00
			END

			IF RUBOLDSTATE < 4
			BEGIN
				player.say VIII4LOC00
				say VIII4RUB00
				player.say VIII4LOC01
				say VIII4RUB01
				player.say VIII4LOC02
				say VIII4RUB02
				set RUBOLDSTATE = 4
			END
		END

		CONTROL ON
		SETCDVOLUME FULL
	END
	ALWAYS
	BEGIN
		IF RUBOLDSTATE > 0
		BEGIN
			gotorelativeposition playerway 0 0
			pivot 120
			try walk
			gotorelativeposition kegway 0 0
			pivot 0
			try walk
			gotorelativeposition karlway 0 0
			pivot 120
			try walk
			gotorelativeposition lucasway 0 0
			pivot 190
			try walk
			gotorelativeposition keelanway 0 0
			pivot 120
			try walk
		END
	END
END


OBJECT "Kylie1"
BEGIN
	DIALOG
	BEGIN
		SETCDVOLUME HALF
		WAIT 1
		control off
		player.STOP	
		player.COMBAT OFF
		nowait player.pivotobject Kylie1
		faceobject player
		If MISTSTATE < 6
		BEGIN
			If KYLIESTATE = 1
			BEGIN
				say II5KYL08
			END
			If KYLIESTATE = 0 
 			BEGIN
				player.say II5LOC00
				say II5KYL00
				player.say II5LOC01
				say II5KYL01
				player.say II5LOC02
				say II5KYL02
				say II5KYL03
	
				:Start1

				Choice years II5LOC03 
				Choice kidding II5LOC04 
				Choice embarrass II5LOC05
				Choice go II5LOC06
				wait response

				:years
				player.say II5LOC03
				say II5KYL04
				jump Finish1

				:kidding
				player.say II5LOC04
				say II5KYL05
				player.say II5LOC07
				say II5KYL06
				jump Finish1

				:embarrass
				player.say II5LOC05
				say II5KYL07
				player.say II5LOC08
				player.say II5LOC09
				jump Finish1

				:go
				player.say II5LOC06
				say II5KYL08
				jump Finish1
	
				:Finish1
				set Kyliestate = 1
			END
		END
		If MISTSTATE = 6
		BEGIN

			IF KYLIESTATE = 2
			BEGIN
				say V1KYL02
			END

			If KYLIESTATE < 2
	 		BEGIN
				say V1KYL00
				say V1KYL01
				player.say V1LOC00
				say V1KYL02
				player.say V1LOC01
				say V1KYL03
				set KYLIESTATE = 2
			END

		END
		IF MISTSTATE = 7
		BEGIN
			If KYLIESTATE < 3
			BEGIN
				say VIII2KYL00
				say VIII2KYL01
				player.say VIII2LOC00
				say VIII2KYL02
				player.say VIII2LOC01
				say VIII2KYL03
				player.say VIII2LOC02
				say VIII2KYL04
				say VIII2KYL05
				set Kyliestate = 3
			END
			IF KYLIESTATE = 3		
			BEGIN
				say VIII2KYL06
			END
		END
		control on
		PIVOT 50
		SETCDVOLUME HALF
		WAIT 1
	END
END



